Bug 822369 - Couldn't generate backtrace with gdb for processes running under another user
Summary: Couldn't generate backtrace with gdb for processes running under another user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-17 07:46 UTC by Mikhail
Modified: 2013-02-26 02:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:15:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail 2012-05-17 07:46:39 UTC
Couldn't generate backtrace with gdb for processes running under another user
Means I set checkbox "Show all problems" and enter sudoer's password.

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 44 debuginfo files, 3 of them are not installed
Setting up yum repositories
Looking for needed packages in repositories
Packages to download: 2
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:   3%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:   5%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:   6%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:   8%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  11%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  13%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  15%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  17%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  19%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  22%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  24%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  27%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  29%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  31%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  33%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  35%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  39%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  42%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  44%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  46%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  49%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  52%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  54%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  57%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  60%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  63%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  65%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  67%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  69%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  71%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  73%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  75%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  78%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  81%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  83%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  85%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  87%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  89%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  91%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  93%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  94%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  96%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm:  99%
Downloading (1 of 2) mesa-debuginfo-8.0.2-8.fc17.i686.rpm: 100%
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-05-17-13:18:05.25232/mesa-debuginfo-8.0.2-8.fc17.i686.rpm
Caching files from unpacked.cpio made from mesa-debuginfo-8.0.2-8.fc17.i686.rpm
Downloading (2 of 2) gcc-base-debuginfo-4.7.0-5.fc17.i686.rpm:  34%
Downloading (2 of 2) gcc-base-debuginfo-4.7.0-5.fc17.i686.rpm:  73%
Downloading (2 of 2) gcc-base-debuginfo-4.7.0-5.fc17.i686.rpm: 100%
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-05-17-13:18:05.25232/gcc-base-debuginfo-4.7.0-5.fc17.i686.rpm
Caching files from unpacked.cpio made from gcc-base-debuginfo-4.7.0-5.fc17.i686.rpm
Removing /tmp/abrt-tmp-debuginfo-2012-05-17-13:18:05.25232
All debuginfo files are available
Generating backtrace
Can't set gid 0: Operation not permitted
Backtrace is generated and saved, 0 bytes
Backtrace parsing failed for .
1:0: No frame and no thread found.

Comment 2 Fedora Update System 2012-12-20 08:54:29 UTC
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 3 Fedora Update System 2012-12-20 09:44:55 UTC
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17

Comment 4 Fedora Update System 2012-12-21 01:28:42 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-12 01:15:24 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-02-26 02:37:28 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.